#clear the memory
rm (list=ls())
#*************************************************************
#loading the data file into a data.frame "wave.data" in memory
setwd("D:/DataMining/Databases_for_mining/dataset_for_soft_dev_and_comparison/swap_strategy")
wave.data <- read.table(file = "wave2M.txt", sep = "\t", dec = ".", header = T)
#***************************************************************
#creating a database and insert the data.frame into the database
#loading the "filehash" package
library(filehash)
#creating a database with the name "wave.db"
dbCreate("wave.db")
#initialize the database
db <- dbInit("wave.db")
#insert the data.frame into the database - the key is "wave.data"
dbInsert(db,"wave.data",wave.data)



